%define module  Cache-FastMmap
%define name	perl-%{module}
%define	modprefix Cache

%define version	1.14
%define release	%mkrel 4

Summary:	Uses an mmap'ed file to act as a shared memory interprocess cache
Name:		%name
Version:	%version
Release:	%release
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Storable)
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
A shared memory cache through an mmap'ed file. It's core is written in C for
performance. It uses fcntl locking to ensure multiple processes can safely
access the cache at the same time. It uses a basic LRU algorithm to keep the
most used entries in the cache.

%prep
%setup -q -n %{module}-%version

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %buildroot
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%perl_vendorarch/%{modprefix}
%perl_vendorarch/auto/%{modprefix}
%_mandir/*/*

%clean
rm -rf %buildroot



%changelog
* Wed Feb 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-4mdv2007.0
+ Revision: 127228
- new version

* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org> 1.09-4mdv2007.0
+ Revision: 54278
- Rebuild, spec file cleanup
- import perl-Cache-FastMmap-1.09-3mdk


* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.09-3mdk
- Fix BuildRequires: perl-devel is needed

* Thu May 04 2006 Scott Karns <scottk@mandriva.org> 1.09-2mdk
- Fix BuildRequires
- Adjust Source URL to comply with Mandriva perl packaging policy

* Thu Jan 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.09-1mdk
- Initial MDV RPM

